Bug 1714098 - Make debugging hung frames easier
Summary: Make debugging hung frames easier
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1716760
TreeView+ depends on / blocked
 
Reported: 2019-05-27 06:24 UTC by Pranith Kumar K
Modified: 2019-06-04 05:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1716760 (view as bug list)
Environment:
Last Closed: 2019-05-30 15:55:06 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22773 None Merged stack: Make sure to have unique call-stacks in all cases 2019-05-30 15:55:05 UTC

Description Pranith Kumar K 2019-05-27 06:24:20 UTC
Description of problem:

At the moment new stack doesn't populate frame->root->unique in all cases. This makes it difficult to debug hung frames by examining successive state dumps. Fuse and server xlator populate it whenever they can, but other xlators won't be able to assign one when they need to create a new frame/stack. What we need is for unique to be correct. If a stack with same unique is present in successive statedumps, that means the same operation is still in progress. This makes finding hung frames part of debugging hung frames easier.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-05-27 06:27:36 UTC
REVIEW: https://review.gluster.org/22773 (stack: Make sure to have unique call-stacks in all cases) posted (#1) for review on master by Pranith Kumar Karampuri

Comment 2 Worker Ant 2019-05-30 15:55:06 UTC
REVIEW: https://review.gluster.org/22773 (stack: Make sure to have unique call-stacks in all cases) merged (#4) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.